Retrieve an application
curl --request GET \
--url https://api.spacebring.com/benefits/applications/v1/{benefitApplicationId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/benefits/applications/v1/{benefitApplicationId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/benefits/applications/v1/{benefitApplicationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"application": {
"benefit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"mediaUrl": "<string>",
"subtitle": "<string>"
},
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 0,
"user": {
"blocked": true,
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restricted": true,
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"comment": "<string>",
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"message": "<string>",
"type": "<string>"
}Benefits
Retrieve an application
Retrieve a benefit application by id.
OAuth
Required scopes:benefits.readonly or benefitsGET
/
benefits
/
applications
/
v1
/
{benefitApplicationId}
Retrieve an application
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the benefit application.
Response
OK
The benefit application.
Show child attributes
Show child attributes
Was this page helpful?
⌘I